
Smart Proxy - Bug #37147

Smart Proxy TFTP fetching writes out broken files on HTTP errors

02/06/2024 04:15 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/885

  

Description

If you tell the Smart Proxy to retrieve a file that returns a HTTP 404 it writes out the error pages to the destination. This leads to hard

to debug errors in the provisioning process. Not writing out the file would be better.

Associated revisions

Revision e8fe59f8 - 02/26/2024 02:03 PM - Ewoud Kohl van Wijngaarden

Fixes #37147 - Pass --fail option to curl

This prevents curl from writing out error pages, for example when the

URL returns a HTTP 404.

It still doesn't return any error to Foreman since the TFTP

/fetch_boot_file only starts a thread and there's no way to monitor it.

Fixes: 3d87c6feaa8c ("Refs #2412 - use curl for downloads")

History

#1 - 02/06/2024 04:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/885 added

#2 - 02/26/2024 02:04 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 02/26/2024 03:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset e8fe59f83843ca619264e8d4757bc99fcde93fa9.
